prestashop_webservice 0.7.1 copy "prestashop_webservice: ^0.7.1" to clipboard
prestashop_webservice: ^0.7.1 copied to clipboard

A dart package for reading data from prestashop webservices. The service is basically a typed client for the prestashop webservice api.

0.1.0 #

  • Initial version.

0.2.0 #

  • Order details

0.3.0 #

  • Added equatable library and toString() override for models

0.3.1 #

  • Fixed optional field

0.3.2 #

  • Fixed typo

0.3.3 #

  • Missing export fix

0.4.0 #

  • Added fields to order details

0.4.1 #

  • Fixed some types conversion

0.4.2 #

  • Added bidirectional conversion

0.4.3 #

  • merged external contributions
  • Fixed http package version

0.5.0 #

  • Added api to close the underlying http connection

0.6.0 #

  • Added missing field to product

0.7.0 #

  • Added available stocks endpoint

0.7.1 #

  • Added missing generated classes
2
likes
140
pub points
42%
popularity

Publisher

verified publishermsiviero.dev

A dart package for reading data from prestashop webservices. The service is basically a typed client for the prestashop webservice api.

Repository (GitHub)
View/report issues

Topics

#api #prestashop #ecommerce

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

equatable, http, json_annotation, loggy, quiver

More

Packages that depend on prestashop_webservice